# Execute Pipeline

Pipeline Execution API

Endpoint: POST /v1/orgs/{org}/projects/{project}/pipelines/{pipeline}/execute
Version: 1.0
Security: x-api-key

## Path parameters:

  - `org` (string, required)
    Organization identifier

  - `project` (string, required)
    Project identifier

  - `pipeline` (string, required)
    Pipeline identifier

## Query parameters:

  - `module` (string)
    Module type for the entity. If its from deployments,type will be CD , if its from build type will be CI

  - `use_fqn_if_error_response` (boolean)
    Use FQN in error response.

  - `notify_only_user` (boolean)

  - `notes` (string)
    Notes of a pipeline execution

  - `branch_name` (string)
    Name of the branch (for Git Experience).

  - `connector_ref` (string)
    Identifier of the Harness Connector used for CRUD operations on the Entity (for Git Experience).

  - `repo_name` (string)
    Name of the repository (for Git Experience).

## Header parameters:

  - `Harness-Account` (string)
    Identifier field of the account the resource is scoped to.

## Request fields (application/json):

  - `inputs_yaml` (string)
    Inputs YAML if the Pipeline contains Runtime Inputs

## Response 200 fields (application/json):

  - `execution_details` (object)

  - `execution_details.execution_id` (string)

  - `execution_details.status` (string)


